Sign inGet started

Get contact list memberships

GET
/workspaces/{workspaceId}/contacts/{contactId}/lists
This endpoint will return a list of lists a contact is a member of.
路径参数
workspaceId
string
The unique identifier of the workspace.
contactId
string
The ID of a contact.
响应载荷
results
array of object
显示子属性
results.id
string
必填
The unique identifier for the list.
results.name
string
必填
The name of the list.
results.description
string
必填
The description of the list.
results.createdAt
string
results.updatedAt
string
results.contactCount
integer
The number of contacts in the list.
results.consentType
string
The consent type for the list.
Possible values: single, double
results.tags
array of string
The tags associated with the list.
results.isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
results.counter
object
显示子属性
results.counter.count
integer
必填
results.counter.updatedAt
string
必填
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/contacts/{contactId}/lists' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd
  • List ID: 123e4567-e89b-12d3-a456-426614174000
  • Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

Get the lists a contact is assigned to

In this example, we're listing all the lists a contact is assigned to given a contact ID.
代码示例
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"